Subject: bug#77570: Build failures on core packages following daemon changes

From: Ada Stevenson <[email-masked]>
Date: Mon, 7 Apr 2025 10:20:39 +0000

Hi Ludo',

On 07/04/2025 10:14 am, Ludovic Courtès wrote:
> Hi Ada,
> 
> Ada Stevenson <[email-masked]> skribis:
> 
>> Following commit 93474f92886fac8a2e5eb0eb3b388654246d640d (cc'ing
>> Ludo' as the author of this commit), I have identified build failures
>> in several packages as they have tests that require modifying the
>> build tree in some way. These include scons, ruby and go. I'm sure
>> there are other packages that are affected by this.
> 
> Could you explain how to reproduce the problem?

Simply building the packages from source with tests will result in a 
build failure.

> 
> In particular, are you on Guix System or on a foreign distro?  In the
> latter case, is guix-daemon running as an unprivileged user¹ or as root?
> What version of guix-daemon is running, as shown by “pgrep -fa
> guix-daemon”?

I am running on Guix System, so my daemon is still privileged.

> 
> You mention scons, ruby, and go.  Is “guix build scons” enough to
> trigger the problem?

Forcing a rebuild with no substitutes ie. `guix build --no-substitutes 
--no-grafts --check scons` will result in a failed build.

> 
> Thanks for reporting the problem!

You're welcome! I just noticed this problem as I was building some 
packages from scratch.

> 
> Ludo’.
> 
> ¹ https://hpc.guix.info/blog/2025/03/build-daemon-drops-its-privileges/

-- 
Warmly,
Ada